TechDraw Vue

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw View and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский
Arrow-left.svg Page précédente : TechDraw RedrawPage.svg Redessiner une page
Page suivante : Vue active TechDraw ActiveView.svg Arrow-right.svg

TechDraw View.svg TechDraw Vue

Emplacement du menu
TechDraw → Insérer une vue
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
TechDraw Projection de groupe, TechDraw Vue de coupe

Description

L'outil Vue ajoute une représentation d'un ou plusieurs objets à une page de dessin. Il s'agit de la composante de base de l'atelier TechDraw. La plupart des autres vues sont dérivées d'une manière ou d'une autre de Vue.

La Vue dessine n'importe quel objet qui a une propriété de Shape. Vous pouvez sélectionner des esquisses, des corps, des objets Draft etc. La Vue extraira également toutes les formes des objets d'un Std Part ou d'un Std Groupe.

TechDraw View example.png

Vue d'une boîte pleine avec des lignes cachées

Utilisation

  1. En outre, vous pouvez faire pivoter la Vue 3D. La direction de la caméra dans la Vue 3D détermine la valeur initiale de la propriété DonnéesDirection de la vue.
  2. Sélectionnez un ou plusieurs objets dans la Vue 3D ou la vue en arborescence.
  3. S'il y a plusieurs pages de dessin dans le document : ajoutez éventuellement la page souhaitée à la sélection en la sélectionnant dans la vue en arborescence. Ceci n'est pas possible pour Version 0.19 et précédentes.
  4. Il existe plusieurs façons de lancer l'outil :
    • Appuyez sur le bouton TechDraw View.svg Insérer une vue.
    • Sélectionnez l'option TechDraw → TechDraw View.svg Insérer une vue dans le menu.
  5. S'il y a plusieurs pages de dessin dans le document et que vous n'avez pas encore sélectionné de page, la boîte de dialogue Page Chooser s'ouvre : Introduit dans la version 0.20
    1. Sélectionnez la page souhaitée.
    2. Appuyez sur le bouton OK.

Propriétés

Données

Base

  • DonnéesX : La position horizontale de la vue sur la page. (1)
  • DonnéesY : La position verticale de la vue sur la page. (1)
  • DonnéesLock Position : Empêche les vues d'être glissées dans le Gui quand la valeur est True. La vue peut toujours être déplacée en changeant les propriétés X, Y. (1)
  • DonnéesRotation : Rotation antihoraire de la vue sur la page en degrés. (1)
  • DonnéesScale Type : "Document": utilise le paramètre d'échelle de la page. "Custom": utilise une échelle unique pour cette vue. "Automatic": ajuste la vue à la page. (1)
  • DonnéesScale : Une vue sera rendue sur la page à l'Échelle: 1 par rapport à la Source. (1)
  • DonnéesCaption : Légende de texte court facultative.

(1) ces propriétés sont communes à tous les types de vues.

Cosmetics

HLR Parameters

  • DonnéesCoarse View : Si Vrai, TechDraw utilisera une approximation de polygone pour calculer la géométrie de dessin. Si faux, TechDraw utilisera un algorithme de précision. CoarseView peut être beaucoup plus rapide pour les modèles complexes. La qualité du dessin est réduite car chaque courbe est approximée par une série de segments courts. Les sommets ne sont pas affichés dans CoarseView, car chaque segment court donnerait deux nouveaux sommets et l'affichage deviendrait encombré. Des dimensions linéaires peuvent être ajoutées à un CoarseView, mais ne seront probablement pas utilisables.
  • DonnéesSmooth Visible : Les lignes lisses visibles sont activées/désactivées.
  • DonnéesSeam Visible : Les lignes de couture visibles sont activées/désactivées.
  • DonnéesIso Visible : Les lignes isométriques visibles (u,v) sont activées/désactivées.
  • DonnéesHard Hidden : Les lignes cachées (arêtes réelles) sont activées/désactivées.
  • DonnéesSmooth Hidden : Les lignes lisses cachées sont activées/désactivées.
  • DonnéesSeam Hidden : Les lignes de couture cachées sont activées/désactivées.
  • DonnéesIso Hidden : Les lignes isométriques cachées (u,v) sont activées/désactivées.
  • DonnéesIso Count : Nombre de lignes isométriques (u,v) à dessiner sur chaque face.

Projection

  • DonnéesSource : Liens vers les objets projetables à représenter
  • DonnéesDirection : Ce vecteur contrôle la direction à partir de laquelle vous visualisez l'objet. +X est à droite, -X est à gauche, +Y est à l'arrière, -Y est à l'avant (regardant dans l'écran), +Z est en haut et -Z est en bas. Donc, une vue de face est (0,-1,0) et une vue isométrique est (1,-1,1).
  • DonnéesXDirection : Ce vecteur contrôle la rotation de la vue autour de la direction. Introduit dans la version 0.19.
  • DonnéesPerspective : Vrai pour la projection en perspective, faux pour la projection orthogonale.
  • DonnéesFocus : Distance de la caméra au plan de projection pour les projections en perspective. Doit être ajusté pour s'adapter à l'objet. Trop loin et la perspective est perdue, trop proche et l'objet est déformé.

Vue

  • VueKeep Label: Toujours afficher l'étiquette de vue si la valeur est sur vrai.
  • VueLineWidth: Épaisseur des lignes visibles. Voir Groupes de lignes.
  • VueHiddenWidth: L'épaisseur des lignes cachées, si activé.
  • VueIsoWidth: L'épaisseur des lignes de surface isométriques (u,v) et des lignes de cotes.
  • VueExtraWidth: Pas encore implémenté.
  • VueShowCenters: Les marques de centre des arcs/cercles sont activées/désactivées.
  • VueCenterScale: Réglage de la taille de la marque du centre des arcs/cercles, si activé.
  • VueHorizCenterLine: Affiche un trait d'axe horizontal dans la vue.
  • VueVertCenterLine: Affiche un trait d'axe vertical dans la vue.
  • VueShowSectionLine: Affiche/masque la ligne de coupe, le cas échéant.

Script

Voir aussi: TechDraw API et Débuter avec les scripts.

L'outil Vue peut être utilisé dans des macros et à partir de la console Python à l'aide des fonctions suivantes:

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
FreeCAD.ActiveDocument.View.Source = [App.ActiveDocument.Box]
FreeCAD.ActiveDocument.View.Direction = (0.0,0.0,1.0)


Arrow-left.svg Page précédente : TechDraw RedrawPage.svg Redessiner une page
Page suivante : Vue active TechDraw ActiveView.svg Arrow-right.svg